from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDataEditor(XInterface, Protocol):
    def show(self) -> None: ...
    def setModel(self, model: XInterface) -> None: ...
    def getModel(self) -> XInterface: ...
    def addDataEditorListener(self, listener: XDataEditorListener) -> None: ...
    def removeDataEditorListener(self, listener: XDataEditorListener) -> None: ...
